package org.springblade.modules.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.gzInfo.vo.ZdVo;
import org.springblade.modules.gzInfo.vo.ZdVos;
import org.springblade.modules.gzInfo.vo.ZdVoss;
import org.springblade.modules.sqjw.sydw.pojo.vo.HylxVO;
import org.springblade.modules.system.entity.DictBiz;
import org.springblade.modules.system.vo.DictBizVO;
import org.springblade.modules.system.vo.ZdVO;

import java.util.List;
import java.util.Map;

/**
 * 服务类
 *
 * @author Chill
 */
public interface IDictBizService extends IService<DictBiz> {

	/**
	 * 树形结构
	 *
	 * @return
	 */
	List<DictBizVO> tree();

	/**
	 * 树形结构
	 *
	 * @return
	 */
	List<DictBizVO> parentTree();

	/**
	 * 获取字典表对应中文
	 *
	 * @param code    字典编号
	 * @param dictKey 字典序号
	 * @return
	 */
	String getValue(String code, String dictKey);

	String getKey(String code, String dictValue);

	/**
	 * 获取字典表
	 *
	 * @param code 字典编号
	 * @return
	 */
	List<DictBiz> getList(String code);
	List<DictBiz> getListPC(String code);

	/**
	 * 新增或修改
	 *
	 * @param dict
	 * @return
	 */
	boolean submit(DictBiz dict);

	/**
	 * 删除字典
	 *
	 * @param ids
	 * @return
	 */
	boolean removeDict(String ids);

	/**
	 * 顶级列表
	 *
	 * @param dict
	 * @param query
	 * @return
	 */
	IPage<DictBizVO> parentList(Map<String, Object> dict, Query query);

	/**
	 * 子列表
	 *
	 * @param dict
	 * @param parentId
	 * @return
	 */
	List<DictBizVO> childList(Map<String, Object> dict, Long parentId);

	List<ZdVo> selectGzlx(int type);

	List<ZdVos> selectGzlxs(Long id, int type);

	List<ZdVoss> selectGzlxss(Long id, int type);

	List<ZdVO> getJxcs();

	List<ZdVO> csxl(ZdVO zdVO);

	List<ZdVo> selectJflx(Map<String, Object> params);

	List<ZdVo> selectJflx2(Map<String, Object> params);

    List<ZdVos> getXmList(Map<String, Object> params);

	List<ZdVoss> getXmList2(Long parentId);

	String selectDwlb();

	List<ZdVO> getDictList(String code);

	List<ZdVO> getLdphhz(Map<String, String> params);

	int getZfcs();

	int getFjsl();

	int getKfsl();

    List<ZdVO> getTsrq();

	List<HylxVO> getHylx();

	List<ZdVO> getDwlx(Long parentId);
}
